Subject: Re: bug#47655: QML2_IMPORT_PATH does not work in a profile

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 02 Aug 2022 00:44:37 -0400

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello Guix,
>
> When setting up a profile (via 'guix environment', for example) to
> develop a Qt application, the search paths set by qtbase point to the
> environment profile, which is a forest of symbolic links.  Apparently
> this doesn't play well with at least QML2_IMPORT_PATH: the Qt
> application built in the profile will not run, and Qt crashes in an
> inscrutable way.

This seems to have been resolved using Qt 6.

Closing.

Maxim